# Python 循环

> 原文： [https://thepythonguru.com/python-loops/](https://thepythonguru.com/python-loops/)

* * *

于 2020 年 1 月 7 日更新

* * *

Python 只有两个循环：

1.  `for`循环
2.  `while`循环

## `for`循环

* * *

`for`循环语法：

```py
for i in iterable_object:
   # do something

```

**注意**：

`for`和`while`循环内的所有语句必须缩进相同的空格数。 否则，将抛出`SyntaxError`。

让我们举个例子

```py
my_list = [1,2,3,4]

for i in my_list:
    print(i)

```

**预期输出**：

```py
1
2
3
4

```

这是`for`循环的工作方式：

在第一次迭代中，为`i`分配了值`1`，然后执行了`print`语句。 在第二次迭代中，为`i`赋值`2`，然后再次执行`print`语句。 此过程将继续进行，直到列表中没有其他元素并且存在`for`循环为止。

## `range(a, b)`函数

* * *

`range(a, b)`函数从`a`，`a + 1`，`a+ 2` ....，`b - 2`和`b - 1`返回整数序列。 例如：

```py
for i in range(1, 10):
    print(i)

```

**预期输出**：

```py
1
2
3
4
5
6
7
8
9

```

您还可以通过仅提供一个参数来使用`range()`函数，如下所示：

```py
>>> for i in range(10):
...        print(i)

0
1
2
3
4
5
6
7
8
9

```

循环打印的范围是 0 到 9。

`range(a, b)`函数具有可选的第三个参数，用于指定步长。 例如：

```py
for i in range(1, 20, 2):
    print(i)

```

**预期输出**：

```py
1
3
5
7
9
11
13
15
17
19

```

## `While`循环

* * *

句法：

```py
while condition:
    # do something

```

`while`循环在其中继续执行语句，直到条件变为假。 在每次迭代条件检查之后，如果其条件为`True`，则会在`while`循环中再次执行语句。

让我们举个例子：

```py
count = 0

while count < 10:
    print(count)
    count += 1

```

**预期输出**：

```py
0
1
2
3
4
5
6
7
8
9

```

在此处，将继续打印，直到`count`小于`10`为止。

## `break`语句

* * *

`break`语句允许突破循环。

```py
count = 0

while count < 10:
    count += 1
    if count == 5:
         break    
    print("inside loop", count)

print("out of while loop")

```

当`count`等于`5`时，如果条件求值为`True`，并且`break`关键字跳出循环。

**预期输出**：

```py
inside loop 1
inside loop 2
inside loop 3
inside loop 4
out of while loop

```

## `continue`语句

* * *

当在循环中遇到`continue`语句时，它将结束当前迭代，并且程序控制将转到循环主体的末尾。

```py
count = 0

while count < 10:
    count += 1
    if count % 2 == 0:
           continue
    print(count)

```

**预期输出**：

```py
1
3
5
7
9

```

如您所见，当`count % 2 == 0`时，将执行`continue`语句，该语句导致当前迭代结束，并且控件继续进行下一个迭代。

在下一课中，我们将学习 [Python 数学函数](/python-mathematical-function/)。

* * *

* * *