# Python Lambda 函数

> 原文： [https://thepythonguru.com/python-lambda-function/](https://thepythonguru.com/python-lambda-function/)

* * *

于 2020 年 1 月 7 日更新

* * *

Python 允许您使用称为 lambda 函数的工具来创建匿名函数，即没有名称的函数。

Lambda 函数是小的函数，通常不超过一行。 就像普通函数一样，它可以具有任意数量的参数。 lambda 函数的主体非常小，仅包含一个表达式。 表达式的结果是将 lambda 应用于参数时的值。 另外，lambda 函数中无需任何`return`语句。

让我们举个例子：

考虑一个函数`multiply()`：

```py
def multiply(x, y):
    return x * y

```

此函数太小，因此让我们将其转换为 lambda 函数。

要创建 lambda 函数，请首先编写关键字`lambda`，然后是多个以逗号分隔的参数（`,`），然后是冒号 a（`:`），然后是单行表达式。

```py
r = lambda x, y: x * y
r(12, 3)   # call the lambda function

```

**预期输出**：

```py
36

```

```py
r = lambda x, y: x * y
print(r(12, 3))   # call the lambda function 
```

在这里，我们使用两个参数`x`和`y`，冒号后面的表达式是 lambda 函数的主体。 如您所见，lambda 函数没有名称，并通过分配给它的变量进行调用。

您无需将 lambda 函数分配给变量。

```py
(lambda x, y: x * y)(3,4)

```

**预期输出**：

```py
12

```

```py
print( (lambda x, y: x * y)(3,4) ) 
```

请注意，lambda 函数不能包含多个表达式。

* * *

* * *