# Python `id()`函数

> 原文： [https://thepythonguru.com/python-builtin-functions/id/](https://thepythonguru.com/python-builtin-functions/id/)

* * *

于 2020 年 1 月 7 日更新

* * *

`id()`函数返回与对象关联的唯一数字标识符。

在标准 Python（即 CPython）中，标识符表示对象的内存地址。 虽然，这在其他实现中可能会有所不同。

定义对象时，唯一标识符会自动存在，并且在程序运行之前不会更改。 我们可以使用此标识符来确定两个对象是否相同。

`id()`函数的语法如下：

```py
id(obj) -> unique identifier

```

这是一个例子：

```py
>>> 
>>> a = 10
>>> 
>>> b = 5
>>> 
>>>
>>> id(a), id(b)
(10919712, 10919552)
>>> 
>>> 
>>> a = b # a now references same object as b
>>> 
>>>
>>> id(a), id(b)
(10919552, 10919552)
>>>

```

```py
a = 10
b = 5 

print(id(a), id(b))

a = b # a now references same object as b

print(id(a), id(b)) 
```

最初，变量`a`和`b`引用两个不同的对象。 结果，`id()`调用返回两个唯一标识符。 接下来，我们将对象`b`分配给`a`。 现在，`a`和`b`引用相同的对象（`5`）。 因此，下一个`id()`调用返回相同的标识符。

* * *

* * *