# 运行 python 程序

> 原文： [https://thepythonguru.com/running-python-programs/](https://thepythonguru.com/running-python-programs/)

* * *

于 2020 年 1 月 7 日更新

* * *

您可以通过两种方式运行 python 程序，首先通过直接在 python shell 中键入命令或运行存储在文件中的程序。 但是大多数时候您想运行存储在文件中的程序。

让我们在记事本目录中创建一个名为`hello.py`的文件，即使用记事本（或您选择的任何其他文本编辑器）创建一个`C:\Users\YourUserName\Documents`，记住 python 文件具有`.py`扩展名，然后在文件中编写以下代码。

```py
print("Hello World")

```

在 python 中，我们使用`print`函数将字符串显示到控制台。 它可以接受多个参数。 当传递两个或多个参数时，`print()`函数显示每个参数，并用空格分隔。

```py
print("Hello", "World")

```

**预期输出**：

```py
Hello World

```

现在打开终端，并使用`cd`命令将当前工作目录更改为`C:\Users\YourUserName\Documents`。

![CHANGE-CURRENT-WORKING-DIRECTORY.png](img/a221810ac323791d4ac671449aa078e1.png)

要运行该程序，请键入以下命令。

```py
python hello.py

```

![RUNNING-HELLO-WORLD-PROGRAM.png](img/6113451b01106e8adff5df5b50e8d069.png)

如果一切顺利，您将获得以下输出。

```py
Hello World

```

## 获得帮助

* * *

使用 python 迟早会遇到一种情况，您想了解更多有关某些方法或函数的信息。 为了帮助您，Python 具有`help()`函数，这是如何使用它。

**语法**：

要查找有关类别的信息：`help(class_name)`

要查找有关方法的更多信息，属于类别：`help(class_name.method_name)`

假设您想了解更多关于`int`类的信息，请转到 Python shell 并键入以下命令。

```py
>>> help(int)

Help on class int in module builtins:

class int(object)
| int(x=0) -> integer
| int(x, base=10) -> integer
|
| Convert a number or string to an integer, or return 0 if no arguments
| are given. If x is a number, return x.__int__(). For floating point
| numbers, this truncates towards zero.
|
| If x is not a number or if base is given, then x must be a string,
| bytes, or bytearray instance representing an integer literal in the
| given base. The literal can be preceded by '+' or '-' and be surrounded
| by whitespace. The base defaults to 10. Valid bases are 0 and 2-36.
| Base 0 means to interpret the base from the string as an integer literal.
| >>> int('0b100', base=0)
| 4
|
| Methods defined here:
|
| __abs__(self, /)
| abs(self)
|
| __add__(self, value, /)
| Return self+value.

```

如您所见，`help()`函数使用所有方法吐出整个`int`类，它还在需要的地方包含说明。

现在，假设您想知道`str`类的`index()`方法所需的参数，要找出您需要在 python shell 中键入以下命令。

```py
>>> help(str.index)

Help on method_descriptor:

index(...)
S.index(sub[, start[, end]]) -> int

Like S.find() but raise ValueError when the substring is not found.

```

在下一篇文章中，我们将学习 python 中的数据类型和变量。

* * *

* * *